Subject: bug#18195: closed (Re: bug#18195: 24.3.92; window-screen-lines is not accurate)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 05 Aug 2014 13:36:03 +0000

Your bug report

#18195: 24.3.92; window-screen-lines is not accurate

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18195: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18195
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18195: 24.3.92; window-screen-lines is not accurate
From: Eli Zaretskii <[email-masked]>
To: Dmitry <[email-masked]>
Cc: [email-masked]
Date: Tue, 05 Aug 2014 16:35:45 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Dmitry <[email-masked]>
> Date: Tue, 05 Aug 2014 06:00:24 +0400
> 
> If I have line-spacing set, the value the above function returns is
> smaller than the actuall number of screen lines the window can contain.
> 
> For example, when I have the current Emacs frame maximized and
> line-spacing set to 0.2, (window-screen-lines) returns 46.66(6), whereas
> there are 48 fully-visible lines in the given window and one
> partially-visible one.

Fixed in revision 117425 on the emacs-24 branch.

Subject: 24.3.92; window-screen-lines is not accurate
From: Dmitry <[email-masked]>
To: [email-masked]
Date: Tue, 05 Aug 2014 06:00:24 +0400
List-Id: <debbugs-submit.debbugs.gnu.org>

If I have line-spacing set, the value the above function returns is
smaller than the actuall number of screen lines the window can contain.

For example, when I have the current Emacs frame maximized and
line-spacing set to 0.2, (window-screen-lines) returns 46.66(6), whereas
there are 48 fully-visible lines in the given window and one
partially-visible one.

Here's my default font:

  (set-face-attribute 'default nil :height 105 :family "Fira Mono")

Related:
http://lists.gnu.org/archive/html/help-gnu-emacs/2014-08/msg00026.html

In GNU Emacs 24.3.92.3 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8)
 of 2014-07-24 on axl
Repository revision: 117398 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:	Ubuntu 14.04.1 LTS